@charset "utf-8";

.p-top-fv {
  padding-top: 115px;
  background: url('https://officewata.net/system_panel/uploads/images/bg-line.png') no-repeat center center / cover;

  @media (width < 768px) {
    padding-top: 90px;
  }

  .l-inner {
    max-width: none;
    padding: 0 100px;
    position: relative;

    @media (width < 1120px) {
      padding: 0 40px;
    }

    @media (width < 768px) {
      padding: 0 20px;
    }
  }
}

.p-top-fv__slides.swiper {
  width: 100%;
  aspect-ratio: 1166/615;
  border-radius: 20px;
  border: 1px solid #000;
  overflow: hidden;
  position: relative;
  
  @media (width < 768px) {
    aspect-ratio: auto;
    height: 400px;
  }

  .swiper-slide {
    width: 100%;
    height: 100%;
    object-fit: cover;
  }

  .swiper-slide.is-zooming {
    animation: top-fv-zoom 5s linear forwards;
  }
}

.gjs-dashed *[data-highlightable] .p-top-fv__slides.swiper {
  aspect-ratio: auto;

  .swiper-wrapper {
    width: 100%;
    display: flex;
    flex-wrap: wrap;
    margin-left: auto;
  }

  .swiper-slide {
    width: 33%;
  }
}

.p-top-fv__slides.swiper::before {
  content: '';
  position: absolute;
  width: 100%;
  height: 100%;
  top: 0;
  right: 0;
  z-index: 2;
  background: #636363;
  opacity: 0.3;
  pointer-events: none;
}

@keyframes top-fv-zoom {
  from {
    transform: scale(1);
  }
  to {
    transform: scale(1.1);
  }
}

.p-top-fv__title {
  position: absolute;
  z-index: 2;
  bottom: 64px;
  left: 48px;
  display: flex;
  flex-direction: column;
  gap: 20px;

  @media (width < 1120px) {
    left: 20px;
    bottom: 40px;
  }

  @media (width < 768px) {
    left: 10px;
    bottom: 30px;
    gap: 10px;
  }

  h1 {
    width: fit-content;
    padding: 9px;
    background: var(--color-white);
    border: 1px solid #000;
    border-radius: 10px;
    font-weight: 700;
    font-size: 45px;
    line-height: 1;
    letter-spacing: 0.03em;

    @media (width < 1120px) {
      font-size: 32px;
    }

    @media (width < 768px) {
      font-size: 20px;
    }
  }
}

.p-top-service {
  margin-top: 110px;
}

.p-top-service__cards {
  margin: 60px auto 0;
  display: flex;
  justify-content: space-between;
  gap: 20px;
  position: relative;
  z-index: 1;

  @media (width < 768px) {
    flex-direction: column;
    align-items: center;
  }
}

.p-top-service-card {
  flex: 1 1 auto;
  background: var(--color-white);
  box-shadow: 7px 7px 14px rgba(#727272, 0.3);
  border: 1px solid #000;
  border-radius: 10px;
  padding: 52px 50px;
  max-width: 558px;

  @media (width < 1120px) {
    padding: 40px 20px;
  }
}

.p-top-service-card__head {
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.p-top-service-card__head-inner {
  display: flex;
  align-items: center;
  gap: 12px;
}

.p-top-service-card__icon {
  width: 57px;
  aspect-ratio: 1;
  object-fit: contain;
  object-position: bottom center;
  position: relative;
  bottom: -8px;

  @media (width < 1120px) {
    width: 40px;
  }
}

.p-top-service-card__heading {
  display: flex;
  flex-direction: column;
  gap: 12px;
}

.p-top-service-card__heading-en {
  font-family: var(--font-noto-sans);
  font-size: 16px;
  line-height: calc(20 / 16);
  letter-spacing: 0.03em;
}

.p-top-service-card__heading-ja {
  font-weight: 700;
  font-size: 30px;
  line-height: 1;
  letter-spacing: 0.03em;

  @media (width < 1120px) {
    font-size: 20px;
  }
}

.p-top-service-card__arrow {
  width: 56px;
  aspect-ratio: 1;
  border-radius: 50%;
  background: var(--color-red) url('https://officewata.net/system_panel/uploads/images/arrow-white.svg') no-repeat center center / 20%;
  border: 1px solid var(--color-red);
  display: flex;
  align-items: center;
  justify-content: center;
  transition: all 0.3s ease-out;

  @media (width < 768px) {
    width: 50px;
  }
}

.p-top-service-card:hover {
  .p-top-service-card__arrow {
    background: var(--color-white) url('https://officewata.net/system_panel/uploads/images/arrow-red.svg') no-repeat center center / 20%;
  }
}

.p-top-service-card__text {
  margin-top: 50px;
  color: var(--color-d-blue);

  @media (width < 1120px) {
    margin-top: 35px;
  }
}

.p-top-about {
  overflow: hidden;
  margin-top: -232px;
  padding: 150px 0 130px;
  background: var(--color-d-red);
  position: relative;
  z-index: 0;
  color: var(--color-white);

  @media (width < 768px) {
    padding: 200px 0 100px;
  }

  .l-inner {
    position: relative;
    z-index: 1;
  }

  .c-heading__en {
    white-space: nowrap;
  }
}

.gjs-dashed *[data-highlightable] .p-top-about {
  margin-top: -130px;
}

.p-top-about::before {
  content: '';
  position: absolute;
  width: 100%;
  height: 100%;
  top: 0;
  left: 0;
  opacity: 0.3;
  background: url('https://officewata.net/system_panel/uploads/images/bg-noise.png') repeat top left / 624px;
}

.p-top-about__text-slide {
  overflow: hidden;
  display: flex;
  width: max-content;
  animation: slideText 20s linear infinite;
  margin-bottom: 100px;

  @media (width < 768px) {
    margin-bottom: 60px;
  }

  div {
    flex: 0 0 auto;
    white-space: nowrap;

    p {
      font-family: var(--font-noto-sans);
      font-size: 165px;
      line-height: 1;
      letter-spacing: 0.03em;
      opacity: 0.2;
      padding-right: 1em;

      @media (width < 768px) {
        font-size: 100px;
      }
    }
  }
}

@keyframes slideText {
  0% {
    transform: translateX(0);
  }
  100% {
    transform: translateX(-50%);
  }
}

.gjs-dashed *[data-highlightable] .p-top-about__text-slide {
  animation: none;
  flex-direction: column;

  p {
    font-size: 80px;
  }
}

.p-top-about-main {
  margin: 82px auto 0;
  max-width: 850px;

  @media (width < 768px) {
    margin: 60px auto 0;
  }
}

.p-top-about-main__head {
  text-align: center;
  font-size: 50px;
  line-height: calc(72 / 50);

  @media (width < 1120px) {
    font-size: 40px;
  }

  @media (width < 768px) {
    font-size: 19px;
  }
}

.p-top-about-main__text {
  margin-top: 56px;
  display: flex;
  flex-direction: column;
  gap: 30px;
}

.p-top-about__flex {
  margin-top: 95px;
  display: flex;
  align-items: start;
  justify-content: space-between;
  gap: 40px;

  @media (width < 768px) {
    margin-top: 60px;
    flex-direction: column;
    gap: 60px;
  }
}

.p-top-about-company {
  width: 50%;
  max-width: 494px;

  @media (width < 768px) {
    width: 100%;
    max-width: 100%;
  }
}

.p-top-about__sub-heading {
  display: inline-flex;
  gap: 18px;
  align-items: center;
  font-size: 20px;
  font-weight: 700;
  line-height: 1;
}

.p-top-about__sub-heading::before {
  content: '';
  width: 13px;
  height: 13px;
  border-radius: 3px;
  background: var(--color-white);
}

.p-top-about-company__table {
  margin-top: 12px;
  display: flex;
  flex-direction: column;
}

.p-top-about-company__table-row {
  padding: 21px 0 16px;
  display: flex;
  flex-direction: column;
  gap: 8px;
}

.p-top-about-company__table-row:not(:first-of-type) {
  border-top: 1px solid var(--color-white);
}

.p-top-about-company__thead {
  font-weight: 700;
  line-height: normal;
}

.p-top-about-company__text {
  a:hover {
    opacity: 0.7;
  }
}

.p-top-about-message {
  width: 50%;
  max-width: 558px;
  
  @media (width < 1120px) {
    width: 46%;
  }

  @media (width < 768px) {
    width: 100%;
    max-width: 100%;
  }
}

.p-top-about-message__img {
  margin-top: 32px;
  width: 100%;
  aspect-ratio: 558/228;
  object-fit: cover;
  border-radius: 10px;
}

.p-top-about-message__text {
  margin-top: 40px;
  display: flex;
  flex-direction: column;
  gap: 30px;
}

.p-top-about-message__card {
  margin-top: 40px;
  display: flex;
  justify-content: end;
  gap: 20px;

  div:first-of-type {
    border-left: 1px solid var(--color-white);
    padding-left: 12px;
    font-weight: 700;
    line-height: normal;
  }

  div:last-of-type {
    line-height: normal;
  }
}

.p-top-slides.swiper {
  width: 100%;
  overflow: hidden;

  .swiper-wrapper {
    transition-timing-function: linear;
  }

  .swiper-slide {
    width: 550px;
    width: clamp(200px, calc(550vw / 13.66), 800px);
    aspect-ratio: 55/50;
    object-fit: cover;

    @media (width < 768px) {
      width: 200px;
      width: clamp(200px, calc(200vw / 3.75), 550px);
    }
  }
}

.gjs-dashed *[data-highlightable] .p-top-slides.swiper {
  .swiper-wrapper {
    display: flex;
    flex-wrap: wrap;
  }

  .swiper-slide {
    width: 33%;
  }
}

.p-top-blog {
  padding: 100px 0 120px;

  @media (width < 768px) {
    padding: 80px 0;
  }

  .l-inner {
    max-width: 1180px;
  }
}

.p-top-blog__lists {
  margin: 55px auto 0;

  section {
    width: 100%;
    display: flex;
    flex-direction: column;
    gap: 10px;
  }
}

.p-top-blog__link {
  margin: 60px auto 0;
  width: 220px;
  height: 50px;
  display: flex;
  align-items: center;
  justify-content: center;
  background: #2f2f2f;
  border-radius: 100px;
  border: 1px solid #2f2f2f;
  position: relative;
  transition: all 0.3s ease-out;

  p {
    color: var(--color-white);
    transition: all 0.3s ease-out;
  }
}

.p-top-blog__link:hover {
  background: var(--color-white);

  p {
    color: #2f2f2f;
  }
}

.p-top-blog__link::after {
  content: '';
  position: absolute;
  width: 11px;
  height: 11px;
  top: 50%;
  transform: translateY(-50%);
  right: 24px;
  background: url('https://officewata.net/system_panel/uploads/images/arrow-white.svg') no-repeat center center / contain;
  transition: all 0.3s ease-out;
}

.p-top-blog__link:hover::after {
  background: url('https://officewata.net/system_panel/uploads/images/arrow-black.svg') no-repeat center center / contain;
}
